Skip to main content
POST
/
api
/
standalone-iban
/
iban
/
request
curl -X POST 'https://crypto-api.yativo.com/api/standalone-iban/iban/request' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "customer_id": "cus_01HX9KZMB3F7VNQP8R2WDGT4EP"
  }'
{
  "status": "success",
  "message": "IBAN requested successfully",
  "data": {
    "iban_request_id": "ibnreq_01HX9KZMB3F7VNQP8R2WDGT4ES",
    "customer_id": "cus_01HX9KZMB3F7VNQP8R2WDGT4EP",
    "status": "pending",
    "requested_at": "2026-03-26T12:00:00Z"
  }
}
Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
customer_id
string
The customer ID to issue the IBAN for. Uses the authenticated user if not provided.
curl -X POST 'https://crypto-api.yativo.com/api/standalone-iban/iban/request' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "customer_id": "cus_01HX9KZMB3F7VNQP8R2WDGT4EP"
  }'
{
  "status": "success",
  "message": "IBAN requested successfully",
  "data": {
    "iban_request_id": "ibnreq_01HX9KZMB3F7VNQP8R2WDGT4ES",
    "customer_id": "cus_01HX9KZMB3F7VNQP8R2WDGT4EP",
    "status": "pending",
    "requested_at": "2026-03-26T12:00:00Z"
  }
}